Wind River Support Network

HomeDefectsLIN5-3417
Fixed

LIN5-3417 : Wind River Linux installer project fails to install grub-1.99 when creating the rootfs

Created: Sep 3, 2013    Updated: Dec 19, 2017
Resolved Date: Sep 29, 2013
Found In Version: 5.0.1
Fix Version: 5.0.1.8
Severity: Severe
Applicable for: Wind River Linux 5
Component/s: Build & Config

Description

Building a new installer project fails with this error:

Can't install grub-1.99-r10@x86_64: no package provides libdevmapper.so.1.02(Base)(64bit)

Build log attached.

Steps to Reproduce

1. Configure a new WRL installer project using the latest wrlinux-x:

/opt/wrlinux-x/wrlinux/configure --enable-ccache=yes --with-ccache-dir=/media/cache/wrlinux/ccache --with-sstate-dir=/media/cache/wrlinux/scache --enable-board=intel-xeon-core --enable-kernel=standard --enable-rootfs=glibc-small --enable-target-installer=yes --enable-bootimage=iso --with-installer-target-build=/workspace/ovp/ovirt-engine/wrlinux-image-ovp-ovirt-engine-intel-xeon-core.ext3 --enable-jobs=4 --enable-parallel-pkgbuilds=4 --enable-rm-oldimgs=yes --enable-rm-work=yes 

2. make

3. You will see this error during the wrlinux-image-glibc-small do_rootfs() step:

Can't install grub-1.99-r10@x86_64: no package provides libdevmapper.so.1.02(Base)(64bit)

Other Downloads


Live chat
Online